#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 stm-hamt
version:              1.2.1
visibility:           public
id:                   stm-hamt-1.2.1-A67y536HP6DD7I96M9Vp4R
key:                  stm-hamt-1.2.1-A67y536HP6DD7I96M9Vp4R
license:              MIT
copyright:            (c) 2016, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/stm-hamt
synopsis:             STM-specialised Hash Array Mapped Trie
description:
    A low-level data-structure,
    which can be used to implement higher-level interfaces like
    hash-map and hash-set.
    Such implementations are presented by the
    <http://hackage.haskell.org/package/stm-containers stm-containers>.

category:             Data Structures, STM, Concurrency
abi:                  70c67f9969f48d1160c610e0cfdcbae7
exposed:              True
exposed-modules:      StmHamt.Hamt StmHamt.SizedHamt
hidden-modules:
    StmHamt.Constructors.Branch StmHamt.Focuses StmHamt.IntOps
    StmHamt.ListT StmHamt.Prelude StmHamt.Types StmHamt.UnfoldlM

import-dirs:          /usr/lib/ghc-9.2.8/site-local/stm-hamt-1.2.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/stm-hamt-1.2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-stm-hamt
hs-libraries:         HSstm-hamt-1.2.1-A67y536HP6DD7I96M9Vp4R
depends:
    base-4.16.4.0 deferred-folds-0.9.18.6-81T5CnERQ7ELtXa5336rpV
    focus-1.0.3.2-DuFaklJ1aGs9QNHEXL9QaT
    hashable-1.4.4.0-3NsDO7W5NBvlxFY7M8nbj
    list-t-1.0.5.5-IwrTJ9Tj8GoXG0gQAE5rW
    primitive-0.7.4.0-LS07XpojUe32dExBFiZWCd
    primitive-extras-0.10.2.1-36tnTiuc6GTJchy6L3CwGe
    transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-stm-hamt/html/stm-hamt.haddock
haddock-html:         /usr/share/doc/haskell-stm-hamt/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

